View Issue Details

IDProjectCategoryView StatusLast Update
0003503Ham Radio DeluxeBugpublic2019-11-08 02:32
ReporterK7ZCZAssigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003503: Call sign Lookup Test page doesn't clear column list
DescriptionThe column list in the results grid in the Test page for call sign lookup doesn't clear the column list between runs. While the actuall cell content is reset, the column list keeps growing each time the lookup test is performed.

Steps To Reproduce1) Fire up the logbook. No particular database necessary
2) Use the "Callsign Lookup" command in the "Config" tear-off of the "Tools" menu
3) In the resulting "Callsign Lookup" sheet, activate the "Enable" tab and make sure at least one additional non-default source is active
4) Configure that source appropriately
5) Activate the "Test" tab
6) Enter a callsign
7) Press "Lookup"
8) Make a note of the columns in the result list
9) Enter nother callsign
10) Press "Lookup"

BUG#1) Once the results return, there will be double columns; for example, "Name" probably appears twice.

TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Activities

K7ZCZ

2019-10-18 05:25

administrator   ~0008860

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5216

PD9FER

2019-10-23 04:20

viewer   ~0008941

Validated

g3ucq

2019-10-23 04:41

viewer   ~0008951

Fixed

WA9PIE

2019-10-23 07:31

administrator   ~0008961

Validated.

Issue History

Date Modified Username Field Change
2019-10-17 19:23 K7ZCZ New Issue
2019-10-18 05:25 K7ZCZ Assigned To => K7ZCZ
2019-10-18 05:25 K7ZCZ Status new => resolved
2019-10-18 05:25 K7ZCZ Resolution open => fixed
2019-10-18 05:25 K7ZCZ Note Added: 0008860
2019-10-21 17:01 K7ZCZ Fixed in Version => 6.7.0.235
2019-10-23 04:20 PD9FER Note Added: 0008941
2019-10-23 04:41 g3ucq Note Added: 0008951
2019-10-23 07:31 WA9PIE Assigned To K7ZCZ => WA9PIE
2019-10-23 07:31 WA9PIE Status resolved => closed
2019-10-23 07:31 WA9PIE Testing Not Started => Beta Successful
2019-10-23 07:31 WA9PIE Note Added: 0008961
2019-11-08 02:12 WA9PIE Fixed in Version 6.7.0.235 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe